package com.caimei365.user.components;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.redis.core.StringRedisTemplate;
import org.springframework.stereotype.Component;
import org.springframework.stereotype.Service;

import java.util.concurrent.TimeUnit;

@Service
public class StringRedisService {

    @Autowired
    private StringRedisTemplate stringRedisTemplate;

    /**
     * 存储字符串数据到 Redis。
     *
     * @param key   Redis 的键
     * @param value 要存储的字符串值
     */
    public void set(String key, String value, Long time) {
        stringRedisTemplate.opsForValue().set(key, value, time, TimeUnit.SECONDS);
    }

    /**
     * 从 Redis 中获取字符串数据。
     *
     * @param key Redis 的键
     * @return 存储的字符串值
     */
    public String get(String key) {
        return stringRedisTemplate.opsForValue().get(key);
    }

}
