package com.caimei365.user.mapper;

import com.caimei365.user.model.po.CmBrandFiles;
import com.caimei365.user.model.vo.CmBrandFilesVO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 文件资源Mapper接口
 *
 * @author Kaick
 * @date 2023-05-31
 */
@Mapper
public interface CmBrandFilesMapper
{
    /**
     * 查询文件资源
     *
     * @param id 文件资源主键
     * @return 文件资源
     */
    public CmBrandFiles selectCmBrandFilesById(String id);

    /**
     * 查询文件资源列表
     *
     * @param cmBrandFiles 文件资源
     * @return 文件资源集合
     */
    public List<CmBrandFilesVO> selectCmBrandFilesList(CmBrandFiles cmBrandFiles);

    /**
     * 新增文件资源
     *
     * @param cmBrandFiles 文件资源
     * @return 结果
     */
    public int insertCmBrandFiles(CmBrandFiles cmBrandFiles);

    /**
     * 修改文件资源
     *
     * @param cmBrandFiles 文件资源
     * @return 结果
     */
    public int updateCmBrandFiles(CmBrandFiles cmBrandFiles);

    /**
     * 删除文件资源
     *
     * @param id 文件资源主键
     * @return 结果
     */
    public int deleteCmBrandFilesById(String id);

    /**
     * 批量删除文件资源
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCmBrandFilesByIds(String[] ids);
}
