package com.caimei365.user.mapper;

import java.util.List;

import com.caimei365.user.model.po.CmQuestionnaire;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * 用户需求调查Mapper接口
 *
 * @author Kaick
 * @date 2023-07-14
 */
@Mapper
public interface CmQuestionnaireMapper
{
    /**
     * 查询用户需求调查
     *
     * @param id 用户需求调查主键
     * @return 用户需求调查
     */
    public CmQuestionnaire getCmQuestionnaireById(String id);

    /**
     * 查询用户需求调查Id
     *
     * @param cmQuestionnaire 用户需求调查
     * @return String
     */
    public String getById(CmQuestionnaire cmQuestionnaire);

    /**
     * 查询用户需求调查Ids
     *
     * @param cmQuestionnaire 用户需求调查
     * @return List<String>
     */
    public List<String> getByIds(CmQuestionnaire cmQuestionnaire);



    /**
     * 查询用户需求调查
     *
     * @param cmQuestionnaire 用户需求调查
     * @return 用户需求调查集合
     */
    public CmQuestionnaire getByCmQuestionnaire(CmQuestionnaire cmQuestionnaire);

    /**
     * 查询用户需求调查列表
     *
     * @param cmQuestionnaire 用户需求调查
     * @return 用户需求调查集合
     */
    public List<CmQuestionnaire> getCmQuestionnaireList(CmQuestionnaire cmQuestionnaire);
    /**
     * 查询用户需求调查记录总数
     *
     * @param cmQuestionnaire 用户需求调查
     * @return 用户需求调查Integer
     */
    public int getCmQuestionnaireCount(CmQuestionnaire cmQuestionnaire);

    /**
     * 新增用户需求调查
     *
     * @param cmQuestionnaire 用户需求调查
     * @return 结果
     */
    public int addCmQuestionnaire(CmQuestionnaire cmQuestionnaire);

    /**
     * 修改用户需求调查
     *
     * @param cmQuestionnaire 用户需求调查
     * @return 结果
     */
    public int updateCmQuestionnaire(CmQuestionnaire cmQuestionnaire);

    /**
     * 删除用户需求调查
     *
     * @param id 用户需求调查主键
     * @return 结果
     */
    public int delCmQuestionnaireById(String id);

    /**
     * 批量删除用户需求调查
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int delCmQuestionnaireByIds(@Param("ids") String[] ids);

    /**
     * 修改批量删除用户需求调查
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int updateDelCmQuestionnaireByIds(@Param("ids") String[] ids,@Param("delFlag") Integer delFlag);
}
