package com.caimei365.user.mapper;

import com.caimei365.user.model.dto.BehaviorRecordDto;
import com.caimei365.user.model.dto.RoosInformationDto;
import com.caimei365.user.model.vo.CmShopPopUpVo;
import com.caimei365.user.model.vo.cmShopAdvertisingImage;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * Description
 *
 * @author : Charles
 * @date : 2022/12/9
 */
@Mapper
public interface RoosInformationMapper {
    /**
     * 查看用户是否有过弹框
     * @param IP
     * @param shopId
     * @param createTime
     * @return
     */
   List<Integer> selIsClick(@Param("IP") String IP, @Param("createTime") String createTime, @Param("shopId") Integer shopId, @Param("productId") Integer productId, @Param("infoId") Integer infoId, @Param("keyword") String keyword);

    /**
     * 获取供应商Id 是否为空
     * @param shopId
     * @param productId
     * @param infoId
     * @param keyword
     * @return
     */
   Integer getShopStatus(@Param("shopId") Integer shopId, @Param("productId") Integer productId, @Param("infoId") Integer infoId, @Param("keyword") String keyword);

    /**
     * 潜客供应商下商品id
     * @param shopId
     * @return
     */
   List<Integer> getShopProductIds(@Param("shopId") Integer shopId);

    /**
     * 供应商广告图
     * @param shopIds
     * @return
     */
   List<cmShopAdvertisingImage> getShopAdvert(@Param("shopIds") List<Integer> shopIds);

    /**
     * 弹框样式
     * @param productId
     * @param infoId
     * @param keyword
     * @return
     */
   CmShopPopUpVo getShopPop(@Param("productId")  Integer productId,@Param("infoId")  Integer infoId,@Param("keyword")  String keyword);

    /**
     * 弹框样式
     * @param shopId
     * @return
     */
   CmShopPopUpVo getProductPop(@Param("shopId") Integer shopId);
    /**
     * 插入填写咨询人基本信息
     * @param roosInformationDto
     */
   void insRoosInformation(RoosInformationDto roosInformationDto);

    /**
     * 供应商Id
     * @return
     */
   List<Integer> getShopId();

    /**
     * 供应商商品信息
     * @return
     */
   List<Integer> getShopProductId(@Param("shopId") Integer shopId);

    /**
     * 供应商需要统计文章Id
     * @return
     */
   List<Integer> getShopInfoId(@Param("shopId") Integer shopId);

    /**
     * 供应商搜索词
     * @return
     */
   List<String> getShopKeyword(@Param("shopId") Integer shopId);

    /**
     * 查看访问者是否浏览过供应商相关页面
     * @param userId
     * @param IP
     * @param accessDate
     * @param pageType
     * @param pagePath
     * @return
     */
   List<Integer> getBehavior(@Param("userId") String userId,@Param("ip") String IP,@Param("accessDate") String accessDate , @Param("pageType") Integer pageType, @Param("pagePath") String pagePath);
}
