package com.caimei365.user.model.dto;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

import java.util.List;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class ChatCompletionResponse {


    private Integer chatId;

    @JsonProperty("id")
    private String id;

    @JsonProperty("object")
    private String oct;

    @JsonProperty("created")
    private long created;

    @JsonProperty("result")
    private String result;

    @JsonProperty("is_truncated")
    private boolean isTruncated;

    @JsonProperty("need_clear_history")
    private boolean needClearHistory;

    @JsonProperty("sentence_id")
    private Integer sentenceId;

    @JsonProperty("is_end")
    private boolean isEnd;

    @JsonProperty("search_info")
    private SearchInfo searchInfo;

    @JsonProperty("finish_reason")
    private String finishReason;

    @JsonProperty("usage")
    private Usage usage;

    // Getters and setters or Lombok annotations

    @Data
    @JsonIgnoreProperties(ignoreUnknown = true)
    public static class SearchInfo {
        @JsonProperty("search_results")
        private List<SearchResult> searchResults;

        // Getters and setters or Lombok annotations
    }

    @Data
    @JsonIgnoreProperties(ignoreUnknown = true)
    public static class SearchResult {
        @JsonProperty("index")
        private int index;

        @JsonProperty("url")
        private String url;

        @JsonProperty("title")
        private String title;

        @JsonProperty("datasource_id")
        private String datasourceId;

        // Getters and setters or Lombok annotations
    }

    @Data
    @JsonIgnoreProperties(ignoreUnknown = true)
    public static class Usage {

        @JsonProperty("prompt_tokens_details")
        private Object tokenDetail;

        @JsonProperty("prompt_tokens")
        private int promptTokens;

        @JsonProperty("completion_tokens")
        private int completionTokens;

        @JsonProperty("total_tokens")
        private int totalTokens;

        @JsonProperty("search_count")
        private int searchCount;
        // Getters and setters or Lombok annotations
    }
}