package com.caimei365.user.model.po;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.Date;
import java.util.List;


/**
 * Description
 * @author Aslee
 * @version 2021-12-10
 */
@ApiModel("供应商保存百科商品")
@Data
public class BaikeProductPo {
	/**
	 * 百科商品id
	 */
	private Integer productId;

	/**
	 * 分类：1产品，2仪器
	 */
	private Integer commodityType;

	/**
	 * 供应商id
	 */
	private Integer shopId;

	/**
	 * 名称
	 */
	private String name;

	/**
	 * 别名
	 */
	private String alias;

	/**
	 * 描述
	 */
	private String discription;

	/**
	 * seo关键词
	 */
	private String seoKeyword;

	/**
	 * 图片
	 */
	private String image;

	/**
	 * 产品链接
	 */
	private String productLink;

	/**
	 * 认证链接
	 */
	private String authLink;

	/**
	 * 认证二维码
	 */
	private String authQrCode;

	/**
	 * 优点
	 */
	private String advantage;

	/**
	 * 缺点
	 */
	private String disadvantage;

	/**
	 * 原理
	 */
	private String principle;

	/**
	 * 品牌
	 */
	private String brand;

	/**
	 * 产地
	 */
	private String producePlace;

	/**
	 * 上市时间
	 */
	private String marketTime;

	/**
	 * 公司/供应商
	 */
	private String company;

	/**
	 * NMPA认证时间
	 */
	private String nmpaTime;

	/**
	 * 适应人群
	 */
	private String adaptiveMan;

	/**
	 * 不适应人群
	 */
	private String unAdaptiveMan;

	/**
	 * 术前术后
	 */
	private String aroundOperation;

	/**
	 * 分类id
	 */
	private Integer typeId;

	/**
	 * 状态：0停用，1启用
	 */
	private Integer status;

	/**
	 * 文章发布来源：1采美，2供应商
	 */
	private Integer publishSource;

	/**
	 * 基础浏览量
	 */
	private Integer basePv;

	/**
	 * 实际浏览量
	 */
	private Integer actualPv;

	/**
	 * 文章审核状态：1待审核，2审核通过，3审核失败
	 */
	private Integer auditStatus;
	/**
	 * 百科上线状态：1待上线，2已上线，3已下线
	 */
	private Integer onlineStatus;
	/**
	 * 空数据条数
	 */
	private Integer emptyNum;
}