package com.caimei365.user.model.po;

import lombok.Data;

import java.io.Serializable;


/**
 * Description
 *
 * @author : Charles
 * @date : 2021/3/5
 */
@Data
public class ClubPo implements Serializable {
    /**
     * 机构ID
     */
    private Integer clubId;
    /**
     * 用户ID
     */
    private Integer userId;
    /**
     * 机构名称
     */
    private String name;
    /**
     * 机构简称
     */
    private String shortName;
    /**
     * 联系手机
     */
    private String contractMobile;
    /**
     * 联系邮箱
     */
    private String contractEmail;
    /**
     * 固定电话
     */
    private String contractPhone;
    /**
     * 联系人
     */
    private String linkMan;
    /**
     * 联系人身份：1老板，2采购，3运营，4其他
     */
    private Integer linkManIdentity;
    /**
     * 省
     */
    private Integer provinceId;
    /**
     * 市
     */
    private Integer cityId;
    /**
     * 地址ID
     */
    private Integer townId;
    /**
     * 地址
     */
    private String address;
    /**
     * 门头照
     */
    private String shopPhoto;
    /**
     * 营业执照
     */
    private String businessLicense;
    /**
     * 统一社会信用代码
     */
    private String socialCreditCode;
    /**
     * 一级分类为医美=1和生美=2
     */
    private Integer firstClubType;
    /**
     * 医美的二级分类为诊所=1、门诊=2、医院=3。  生美没有二级分类
     */
    private Integer secondClubType;
    /**
     * 若为医美分类下的门诊和医院则需要填写科室。
     */
    private String department;
    /**
     * 医美分类必须上传医疗执业许可证(medicalPracticeLicenseImg)
     */
    private String medicalPracticeLicense;
    /**
     * 主打项目(mainpro)
     */
    private String mainProduct;
    /**
     * 传真
     */
    private String fax;
    /**
     * 公司简介(info)
     */
    private String profile;
    /**
     * 协销ID
     */
    private Integer serviceProviderId;
    /**
     * 扫描状态 0待扫描 1 已扫描 2已上线
     */
    private Integer scanFlag;
    /**
     * 注册时间
     */
    private String addTime;
    /**
     * 状态：90:已上线，91:已冻结，92:审查资料未通过,待补充资料，1:待审查资料，2:电话预约，3:已预约，20:待确认，21:待拜访，30:待员工推荐，40:已完成第一次采购
     */
    private Integer status;
    /**
     * 新分配机构状态 0.否，1.是
     */
    private Integer newDeal;
}

