package com.caimei365.user.model.po;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * Description
 *
 * @author : Aslee
 * @date : 2021/9/26
 */
@ApiModel("机构资料备注")
@Data
public class ClubRemarksPo implements Serializable {
    @ApiModelProperty("备注id")
    private Integer remarksId;

    @ApiModelProperty("机构id")
    private Integer clubId;

    @ApiModelProperty("协销id")
    private Integer serviceProviderId;

    @ApiModelProperty("文字备注")
    private String remarks;

    @ApiModelProperty("咨询类别id，英文逗号隔开")
    private String consult;

    @ApiModelProperty("咨询人姓名")
    private String questionMan;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty("同步时间")
    private Date concactTime;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty("添加时间")
    private Date addTime;

    /**
     * 机构类型
     */
    private String clubType;
    /**
     * 价格敏感度
     */
    private Integer pinceSensitve;
    /**
     * 意向程度
     */
    private Integer satisfied;
    /**
     * 跟进状态
     */
    private Integer followup;
    /**
     * 额外说明
     */
    private String extra;
    /**
     *咨询商品ID
     */
    private Integer productID;
    /**
     *报备关联ID
     */
    private Integer reportID;
    /**
     * 沟通情况
     */
    private Integer communicationSituation;
    /**
     * 沟通方式 1：电话 2：微信
     */
    private String communicationMethods;
    /**
     * 客户来源
     */
    private Integer customerSource;
    /**
     * 客户性别
     */
    private Integer customerGender;
    /**
     * 客户年龄
     */
    private String customerAge;
    /**
     * 加群情况
     */
    private Integer groupAddition;
    /**
     * 动态标签
     */
    private String trendsKeyword;
    /**
     * 静态标签
     */
    private String stateKeyword;
    /**
     * 首次访问时间
     */
    private String firstTime;
    /**
     * 最近访问时间
     */
    private String recentlyTime;
}
