package com.caimei365.user.model.po;

import java.util.Date;

import com.caimei365.user.model.vo.CmBrandFilesVO;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.experimental.Accessors;
import org.apache.ibatis.type.Alias;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.io.Serializable;
import java.util.List;

/**
 * 供应商落地页资源对象 cm_brand_landing
 *
 * @author Kaick
 * @date 2023-05-31
 */
@Accessors(fluent   = true )
@Data
@Alias("CmBrandLanding")
public class CmBrandLanding
{
    private static final Long serialVersionUID = 1L;

    /** id */
    private String id;

    /** 供应商id */
    private String authUserId;

    /** 分类：1成功案例，2增长社区-视频列表，3增长社区-文章列表 */
    private String type;

    /** pc端picture */
    private String headPcBanner;

    /** 移动端picture */
    private String headAppBanner;

    /** picture跳转方式状态：0无，1图片，2链接 */
    private String jumpStatus;

    /** pc端picture跳转图片 */
    private String jumpPcPicture;

    /** 移动端picture跳转图片 */
    private String jumpAppPicture;

    /** picture跳转链接 */
    private String jumpLink;

    /** picture跳转链接 */
    private String jumpAppLink;

    /** 标题
 */
    private String title;

    /** 内容
 */
    private String content;

    /** 视频文件 */
    private String video;

    /** 排序 */
    private String sort;

    /** pc端status 0启用，1停用 */
    private String pcStatus;

    /** 移动端status 0启用，1停用 */
    private String appStatus;

    /** 删除状态 0正常，1删除 */
    private String delFlag;

    /** 归属者Id（type字段表Id） */
    private String authorId;
    /** 子级分类： （type=4）{1 大图，2小图}（已弃用），（type=5）{1 大图，2小图，2小图}  */
    private String levelType;
    /** 分页参数 */
    private Integer num;
    /**  分页参数 */
    private Integer size;
    /** 修改时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date updateTime;
    /** 添加时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date addTime;
    /** 文件资料 */
    private List<CmBrandFilesVO> cmBrandFiles;

    public Integer getNum() {
        return num;
    }

    public void setNum(Integer num) {
        this.num = num;
    }

    public Integer getSize() {
        return size;
    }

    public void setSize(Integer size) {
        this.size = size;
    }

    public String getAuthorId() {
        return authorId;
    }

    public void setAuthorId(String authorId) {
        this.authorId = authorId;
    }

    public String getLevelType() {
        return levelType;
    }

    public void setLevelType(String levelType) {
        this.levelType = levelType;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getAuthUserId() {
        return authUserId;
    }

    public void setAuthUserId(String authUserId) {
        this.authUserId = authUserId;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getHeadPcBanner() {
        return headPcBanner;
    }

    public void setHeadPcBanner(String headPcBanner) {
        this.headPcBanner = headPcBanner;
    }

    public String getHeadAppBanner() {
        return headAppBanner;
    }

    public void setHeadAppBanner(String headAppBanner) {
        this.headAppBanner = headAppBanner;
    }

    public String getJumpStatus() {
        return jumpStatus;
    }

    public void setJumpStatus(String jumpStatus) {
        this.jumpStatus = jumpStatus;
    }

    public String getJumpPcPicture() {
        return jumpPcPicture;
    }

    public void setJumpPcPicture(String jumpPcPicture) {
        this.jumpPcPicture = jumpPcPicture;
    }

    public String getJumpAppPicture() {
        return jumpAppPicture;
    }

    public void setJumpAppPicture(String jumpAppPicture) {
        this.jumpAppPicture = jumpAppPicture;
    }

    public String getJumpLink() {
        return jumpLink;
    }

    public void setJumpLink(String jumpLink) {
        this.jumpLink = jumpLink;
    }

    public String getJumpAppLink() {
        return jumpAppLink;
    }

    public void setJumpAppLink(String jumpAppLink) {
        this.jumpAppLink = jumpAppLink;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getVideo() {
        return video;
    }

    public void setVideo(String video) {
        this.video = video;
    }

    public String getSort() {
        return sort;
    }

    public void setSort(String sort) {
        this.sort = sort;
    }

    public String getPcStatus() {
        return pcStatus;
    }

    public void setPcStatus(String pcStatus) {
        this.pcStatus = pcStatus;
    }

    public String getAppStatus() {
        return appStatus;
    }

    public void setAppStatus(String appStatus) {
        this.appStatus = appStatus;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Date getAddTime() {
        return addTime;
    }

    public void setAddTime(Date addTime) {
        this.addTime = addTime;
    }

    public List<CmBrandFilesVO> getCmBrandFiles() {
        return cmBrandFiles;
    }

    public void setCmBrandFiles(List<CmBrandFilesVO> cmBrandFiles) {
        this.cmBrandFiles = cmBrandFiles;
    }
}
