package com.caimei365.user.model.po;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.experimental.Accessors;

import java.util.Date;
import java.util.List;

@Accessors(chain = true)
@Data
public class ServiceProviderModel {

    private Integer insiderFlag;

    private Integer leaderId;

    private String linkMan;

    private String mobile;

    private String password;
    /**
     * 协销Id
     */
    private Integer serviceProviderId;
    /**
     * 协销名称
     */
    private String name;
    /**
     * 协销用户Id
     */
    private Integer userId;
    /**
     * 协销组长名称
     */
    private String mainName;
    /**
     * 已注册客户数
     */
    private Integer registeredNumber;
    /**
     * 未注册客户数
     */
    private Integer unregisteredNumber;
    /**
     * 服务商级别为：1级，2级，3级，4 特约服务商,5品牌指定服务商
     */
    private Integer serviceLevel;
    /**
     * 特约品牌名称
     */
    private String brandName;
    /**
     * 服务商类型: 1个人，2企业
     */
    private Integer serviceCategory;
    /**
     * 状态：90上线，91下线
     */
    private Integer status;
    /**
     * 服务商地址
     */
    private String address;
    /**
     * 简介
     */
    private String text;

    /**
     * 服务商二维码
     */
    private String qrCodeImage;
    /**
     * 资格证书图片
     */
    private String qualificationImage;
    /**
     * 资格证书编号
     */
    private String qualificationId;

    /**
     * 创建人
     */
    private String createBy;

    /**
     * 添加时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date addTime;

    /**
     * 相关简介图集合
     */
    private List<String> textRelateds;

    /**
     * 相关资料文件集合
     */
    private List<CmRelatedImage> infoRelateds;


    //服务商合同
    /**
     * 合同起始日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date contractStartDate;

    /**
     * 合同截止日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date contractEndDate;

    /**
     * 服务商分帐号
     */
    private String splitCode;
}
