package com.caimei365.user.model.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.experimental.Accessors;
import org.apache.ibatis.type.Alias;

import java.io.Serializable;
import java.util.Date;

/**
 * 用户行为记录对象 cm_behavior_record
 *
 * @author Kaick
 * @date 2023-09-06
 */
@Accessors(chain  = true )
@Data
@Alias("CmBehaviorRecordVo")
public class CmBehaviorRecordVo implements Serializable
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private String recordID;

    /** 访问人IP地址 */
    private String IP;

    /** 用户id、0为游客 */
    private Integer userID;

    /** 页面路径 */
    private String pagePath;

    /** 页面类型 */
    private String pageType;

    /** 页面标签 */
    private String pageLabel;

    /** 用户行为类型1：用户行为记录、2：ROOS页面统计 */
    private String behaviorType;

    /** 商品ID */
    private Integer productID;

    /** 访问时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date accessTime;

    /** 访问时长 */
    private String accessDuration;

    /** 访问日期 */
    private String accessDate;

    /** 浏览器链接 */
    private String referer;

    /** 0直接访问 1百度搜索 2360搜索 3谷歌搜索 4神马搜索 5头条搜索 6搜狗搜索 7小程序 */
    private String accessSource;

    /** 访问客户端  0：网站 1：小程序 */
    private String accessClient;

    /** 是否计算访问时长 0未计算 1已计算 */
    private String isReckon;

    /** ip所属地 */
    private String region;

    /** 请求头 userAgent */
    private String userAgent;

    /** 图片 */
    private String image;

    /** 标题Id */
    private Integer titleId;
    /** 标题 */
    private String title;
    /** 标题图片 */
    private String titleImage;
    /** 内容 */
    private String content;
    /** 机构Id */
    private Integer clubId;
    /** 名称 */
    private String name;
    /** 联系人 */
    private String linkMan;
    /** 手机号 */
    private String contractMobile;

}
