package com.caimei365.user.model.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;
import java.util.Map;

@Data
public class RemarkVo implements Serializable {
    private Integer serviceProviderId;
    private Integer createServiceProviderId;
    /**
     * 备注id
     */
    private Integer remarksId;
    /**
     * 关键词列表
     */
    private List<Map<String,String>> remarks;
    /**
     * 添加时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date addTime;
    /**
     * 机构的userid
     */
    private Integer userId;
    /**
     * 机构id
     */
    private Integer clubId;
    /**
     * 图片列表
     */
    private List<String> imageList;

    /**
     * 文件列表
     */
    private List<RemarksFileVo> fileList;
    /**
     * 咨询类别
     */
    private String consult;
    /**
     * 咨询人
     */
    private String questionMan;

    private String questionManId;

    /**
     * 机构名称
     */
    private String clubName;
    /**
     * 管理员姓名
     */
    private String leaderName;
    /**
     * 记录人
     */
    private String recordName;
    /**
     * 咨询类别回显
     */
    private String consultBack;

    /**
     * 机构类型
     */
    private String clubType;
    /**
     * 价格敏感度
     */
    private Integer pinceSensitve;
    /**
     * 意向程度
     */
    private Integer satisfied;
    /**
     * 跟进状态
     */
    private Integer followup;
    /**
     * 额外说明
     */
    private String extra;
    /**
     * 非持久化字段旧协销名
     */
//    private String oldName;以后可能会用到
    /**
     * 商品主图
     */
    private String mainImage;
    /**
     * 商品名称
     */
    private String productName;
    /**
     * 供应商名称
     */
    private String shopName;
    /**
     * 报备事由
     */
    private String reportText;
    /**
     * 报备审核状态
     */
    private Integer status;
    /**
     * 审核备注
     */
    private String auditText;
    /**
     * 新分配机构状态 0.否，1.是
     */
    private Integer newDeal;
    /**
     * 报备ID
     */
    private Integer reportId;
    /**
     * 报备商品ID
     */
    private Integer productId;
    /**
     * 沟通情况 0 已沟通 1联系不上
     */
    private Integer communicationSituation;
    /**
     * 沟通方式 1：电话 2：微信
     */
    private String communicationMethods;
    /**
     * 客户来源 0 网址 1 小程序 2 公众号 3 小红书 4 微博 5 搜狐 6 其他
     */
    private Integer customerSource;
    /**
     * 客户性别 0 男 1 女
     */
    private Integer customerGender;
    /**
     * 加群情况 0 以加群 1 未加群
     */
    private Integer groupAddition;
    /**
     * 客户年龄
     */
    private String customerAge;

    /**
     * 动态标签
     */
    private List<Map<String, String>> trendsKeyword;
    /**
     * 静态标签
     */
    private List<Map<String, String>> stateKeyword;
}
