package com.caimei365.user.model.vo;

import lombok.Data;

import java.util.Date;
import java.util.List;


/**
 * Description
 * @author Aslee
 * @version 2021-11-24
 */
@Data
public class ShopArticleVo {
	/**
	 * 关联标签库标签
	 */
	private List<String> labels;
	/**
	 * 关联标签库id
	 */
	private String labelIds;
	/**
	 * 文章id
	 */
	private Integer articleId;

	/**
	 * 文章标题
	 */
	private String title;

	/**
	 * 文章标签
	 */
	private String label;

	/**
	 * SEO关键词
	 */
	private String keyword;

	/**
	 * 发布人
	 */
	private String publisher;

	/**
	 * 来源
	 */
	private String source;

	/**
	 * 推荐语
	 */
	private String recommendContent;

	/**
	 * 文章内容
	 */
	private String articleContent;

	/**
	 * 文章分类id
	 */
	private Integer typeId;

	/**
	 * 文章分类名称
	 */
	private String typeName;

	/**
	 * 父级文章分类Id
	 */
	private String parentId;

	/**
	 * 引导图
	 */
	private String guidanceImage;

	/**
	 * 点赞数
	 */
	private Integer praiseNum;

	/**
	 * 浏览量
	 */
	private Integer pvNum;

	/**
	 * 状态：0停用，1启用
	 */
	private Integer status;

	/**
	 * 审核状态:1待审核，2审核通过，3审核失败
	 */
	private Integer auditStatus;

	/**
	 * 文章上线状态：1待上线，2已上线，3已下线
	 */
	private Integer onlineStatus;

	/**
	 * 审核失败原因
	 */
	private String failReason;

	/**
	 * 发布时间
	 */
	private Date publishDate;

	/**
	 * 添加时间
	 */
	private Date createDate;
}
