package com.caimei365.user.service;

import java.util.List;
import com.caimei365.user.model.po.CmBrandBanner;
import com.caimei365.user.model.vo.CmBrandBannerVO;

/**
 * 首页bannerService接口
 *
 * @author Kaick
 * @date 2023-05-31
 */
public interface CmBrandBannerService
{
    /**
     * 查询首页banner
     *
     * @param id 首页banner主键
     * @return 首页banner
     */
    public CmBrandBanner selectCmBrandBannerById(String id);

    /**
     * 查询首页banner列表
     *
     * @param cmBrandBanner 首页banner
     * @return 首页banner集合
     */
    public List<CmBrandBanner> selectCmBrandBannerList(CmBrandBanner cmBrandBanner);

    /**
     * 新增首页banner
     *
     * @param cmBrandBanner 首页banner
     * @return 结果
     */
    public int insertCmBrandBanner(CmBrandBanner cmBrandBanner);

    /**
     * 修改首页banner
     *
     * @param cmBrandBanner 首页banner
     * @return 结果
     */
    public int updateCmBrandBanner(CmBrandBanner cmBrandBanner);

    /**
     * 批量删除首页banner
     *
     * @param ids 需要删除的首页banner主键集合
     * @return 结果
     */
    public int deleteCmBrandBannerByIds(String[] ids);

    /**
     * 删除首页banner信息
     *
     * @param id 首页banner主键
     * @return 结果
     */
    public int deleteCmBrandBannerById(String id);
}
