package com.caimei365.user.service;

import com.caimei365.user.model.ResponseJson;
import com.caimei365.user.model.dto.LoginCodeDto;
import com.caimei365.user.model.po.CmDistribution;
import com.caimei365.user.model.vo.UserLoginVo;

import java.util.List;

/**
 * distributionService接口
 *
 * @author Kaick
 * @date 2023-09-25
 */
public interface CmDistributionService
{
    /**
     * 通过对象查询distribution列表
     *
     * @param cmDistribution distribution
     * @return distribution集合
     */
    public List<CmDistribution> getCmDistributionList(CmDistribution cmDistribution);


    /**
     * 通过对象查询distribution
     *
     * @param cmDistribution distribution
     * @return distribution
     */
    public CmDistribution getByCmDistribution(CmDistribution cmDistribution);

    public CmDistribution getCmDistributionById(String id);

    /**
     * 新增distribution
     *
     * @param cmDistribution distribution
     * @return 结果
     */
    public int addCmDistribution(CmDistribution cmDistribution);

    /**
     * 修改distribution
     *
     * @param cmDistribution distribution
     * @return 结果
     */
    public int updateCmDistribution(CmDistribution cmDistribution);


    public ResponseJson<UserLoginVo> passwordLogin(String mobile, String password);

    /**
     * 分销人员登录验证码登录
     * @param loginCodeDto
     * @return
     */
    ResponseJson<UserLoginVo> organizeCodeLogin(LoginCodeDto loginCodeDto);

    ResponseJson organizeClubCodeLogin(LoginCodeDto loginCodeDto ,String userId);
    /**
     * 修改分销人员登录密码
     * @param cmDistribution
     * @return
     */
     ResponseJson setPassword(CmDistribution cmDistribution, String code);
}
