package com.caimei365.user.service.impl;

import com.caimei365.user.mapper.BaseMapper;
import com.caimei365.user.mapper.CmProvidersMapper;
import com.caimei365.user.model.po.CmRelatedImage;
import com.caimei365.user.model.po.ServiceProviderModel;
import com.caimei365.user.service.CmProvidersService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * Service业务层处理
 *
 * @author Kaick
 * @date 2023-12-14
 */
@Service
public class CmProvidersServiceImpl implements CmProvidersService {
    @Resource
    private CmProvidersMapper cmProvidersMapper;
    @Resource
    private BaseMapper baseMapper;

    /**
     * 通过对象查询
     *
     * @param cmProviders
     * @return
     */
    @Override
    public List<ServiceProviderModel> getByCmProviders(ServiceProviderModel cmProviders) {
        List<ServiceProviderModel> byCmProviders = cmProvidersMapper.getCmProvidersList(cmProviders);
        if (null != byCmProviders) {
            byCmProviders.forEach(s -> {
                s.setTextRelateds(baseMapper.getRelatedImageList(new CmRelatedImage().setType("2").setAuthorId(s.getServiceProviderId().toString())));
            });
        }
        return byCmProviders;
    }


}
