package com.caimei365.user.utils;

import com.baidubce.qianfan.model.chat.ChatRequest;
import com.caimei365.user.model.dto.ApiRequest;
import com.caimei365.user.model.dto.ChatCompletionResponse;
import com.caimei365.user.model.dto.ChatDto;
import com.fasterxml.jackson.databind.ObjectMapper;
import lombok.extern.slf4j.Slf4j;
import okhttp3.*;
import org.json.JSONObject;

import java.io.IOException;
import java.util.ArrayList;
import java.util.List;
import java.util.concurrent.TimeUnit;

@Slf4j
public class QianFanUtils {
    public static final String API_KEY = "LmSYMsGCHfkco5HcMj5AfVHg";
    public static final String SECRET_KEY = "YKs5P1RXIBHA502f9lGBQXyHBr1WtyYi";
    // 你可以根据需要调整这些值

    // 连接超时时间，单位毫秒
    private static final long CONNECT_TIMEOUT_MILLIS = 80000L;
    // 读取超时时间，单位毫秒
    private static final long READ_TIMEOUT_MILLIS = 80000L;
    // 写入超时时间，单位毫秒
    private static final long WRITE_TIMEOUT_MILLIS = 80000L;
    static final OkHttpClient HTTP_CLIENT = new OkHttpClient().newBuilder()
            // 设置连接超时时间
            .connectTimeout(CONNECT_TIMEOUT_MILLIS, TimeUnit.MILLISECONDS)
            // 设置读取超时时间
            .readTimeout(READ_TIMEOUT_MILLIS, TimeUnit.MILLISECONDS)
            // 设置写入超时时间
            .writeTimeout(WRITE_TIMEOUT_MILLIS, TimeUnit.MILLISECONDS)
            .build();

//    public static void main(String[] args) {
//        String jsonString = "{\"messages\":[{\"role\":\"user\",\"content\":\"黄金微针品牌推荐\"}],\"disable_search\":false,\"enable_citation\":false,\"enable_trace\":false}";
//
//        try {
//            ObjectMapper objectMapper = new ObjectMapper();
//            ApiRequest apiRequest = objectMapper.readValue(jsonString, ApiRequest.class);
//
//            List<ApiRequest.Message> messages = apiRequest.getMessages();
//            ApiRequest.Message message1 = new ApiRequest.Message();
//            message1.setContent("我推你的老师");
//            message1.setRole("assistant");
//            messages.add(message1);
//            System.out.println("req--------->" + apiRequest.toString());
//            // 打印或进一步处理apiRequest对象
//            String s = objectMapper.writeValueAsString(apiRequest);
//            System.out.println("resp---------->" + s);
//
//        } catch (Exception e) {
//            e.printStackTrace();
//        }
//    }


    public static ChatCompletionResponse firstChat(String jsonString){
        try {
            ObjectMapper objectMapper = new ObjectMapper();
            MediaType mediaType = MediaType.parse("application/json");
            RequestBody body = RequestBody.create(mediaType, jsonString);
            Request request = new Request.Builder()
                    .url("https://aip.baidubce.com/rpc/2.0/ai_custom/v1/wenxinworkshop/chat/completions?access_token=" + getAccessToken())
                    .method("POST", body)
                    .addHeader("Content-Type", "application/json")
                    .build();
            Response response = HTTP_CLIENT.newCall(request).execute();
            log.info("response------------->" + response.body());
            ChatCompletionResponse chatCompletionResponse = objectMapper.readValue(response.body().string(), ChatCompletionResponse.class);
            return chatCompletionResponse;
        } catch (IOException e) {
            throw new RuntimeException(e);
        }
    }


    /**
     * 从用户的AK，SK生成鉴权签名（Access Token）
     *
     * @return 鉴权签名（Access Token）
     * @throws IOException IO异常
     */
    static String getAccessToken() throws IOException {
        MediaType mediaType = MediaType.parse("application/x-www-form-urlencoded");
        RequestBody body = RequestBody.create(mediaType, "grant_type=client_credentials&client_id=" + API_KEY
                + "&client_secret=" + SECRET_KEY);
        Request request = new Request.Builder()
                .url("https://aip.baidubce.com/oauth/2.0/token")
                .method("POST", body)
                .addHeader("Content-Type", "application/x-www-form-urlencoded")
                .build();
        Response response = HTTP_CLIENT.newCall(request).execute();
        return new JSONObject(response.body().string()).getString("access_token");
    }

//
//    public static void main(String[] args) {
//
//        ChatResponse response = new Qianfan("TtNscff25p7t2aKuQ1vFJg7g","7vUKsmllQeBgFxq3xVCKYJdnS7fWEdS1").chatCompletion()
//                // 使用model指定预置模型
//                .model("ERNIE-Bot-4")
//                // .endpoint("completions_pro")
//                // 也可以使用endpoint指定任意模型 (二选一)
//                // 添加用户消息 (此方法可以调用多次，以实现多轮对话的消息传递)
//                .addMessage("user", "你好")
//                // 自定义超参数
//                .temperature(0.7)
//                // 发起请求
//                .execute();
//        System.out.println(response.getResult());
//    }
//
//    public static void aaa(String[] args) throws IllegalAccessException {
//
//        // 使用安全认证AK/SK鉴权，替换下列示例中参数，安全认证Access Key替换your_iam_ak，Secret Key替换your_iam_sk
//        Qianfan qianfan = new Qianfan("your_iam_ak", "your_iam_sk");
//
//        // 调用大模型
//        Image2TextResponse response = qianfan.image2Text().model("Fuyu-8B")
//                .image("/9j/4AAQSkZJRgABAQAAAQABAAD/xxxxxx")
//                .prompt("introduce the picture")
//                .execute();
//        System.out.println(response.getResult());
//    }
}
